abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
dnes 02:20 | Zajímavý článek

David Revoy, autor open source webového komiksu Pepper&Carrot nebo portrétu GNU/Linuxu, upozorňuje na svém blogu, že nový Inkscape 0.92 rozbíjí dokumenty vytvořené v předchozích verzích Inkscape. Problém by měl být vyřešen v Inkscape 0.92.2 [reddit].

Ladislav Hagara | Komentářů: 0
dnes 02:02 | Komunita

Øyvind Kolås, hlavní vývojář grafických knihoven GEGL a babl, které využívá grafický program GIMP, žádá o podporu na Patreonu. Díky ní bude moci pracovat na vývoji na plný úvazek. Milník 1000 $, který by stačil na holé přežití, se již téměř podařilo vybrat, dalším cílem je dosažení 2500 $, které mu umožní běžně fungovat ve společnosti.

xkomczax | Komentářů: 12
včera 23:54 | Pozvánky

DevConf.cz 2017, již devátý ročník jedné z největších akcí zaměřených na Linux a open source ve střední Evropě, proběhne od pátku 27. ledna do neděle 29. ledna v prostorách Fakulty informačních technologií Vysokého učení technického v Brně. Na programu je celá řada zajímavých přednášek a workshopů. Letos je povinná registrace.

Ladislav Hagara | Komentářů: 0
včera 22:11 | Nová verze

Byla vydána verze 1.0.0 emulátoru terminálu Terminology postaveného nad EFL (Enlightenment Foundation Libraries). Přehled novinek v poznámkách k vydání.

Ladislav Hagara | Komentářů: 0
20.1. 17:00 | Nová verze

Byl vydán Docker 1.13. Přehled novinek na YouTube a v poznámkách k vydání na GitHubu. Docker umožňuje běh aplikací v softwarových kontejnerech (Wikipedia).

Ladislav Hagara | Komentářů: 4
20.1. 15:51 | Komunita

Mozilla.cz informuje, že nástroje pro webové vývojáře se možná oddělí od Firefoxu a stanou doplňkem. Nástroje pro webové vývojáře prošly velkým přepisem a tým, který se stará o jejich vývoj, by uvítal možnost jejich častějších aktualizacích nezávisle na vydávání nových verzí Firefoxu.

Ladislav Hagara | Komentářů: 10
20.1. 07:00 | Humor

Čtenářům AbcLinuxu vše nejlepší k dnešnímu Dni zvýšení povědomí o tučňácích (Penguin Awareness Day).

Ladislav Hagara | Komentářů: 0
20.1. 06:00 | Komunita

Bylo spuštěno hlasování o přednáškách a workshopech pro letošní InstallFest, jenž proběhne o víkendu 4. a 5. března v Praze. Současně byla oznámena změna místa. InstallFest se letos vrací zpět na Karlovo náměstí do budovy E.

Ladislav Hagara | Komentářů: 0
20.1. 02:48 | Komunita

Greg Kroah-Hartman potvrdil, že Linux 4.9 je jádrem s prodlouženou upstream podporou (LTS, Long Term Support). Podpora je plánována do ledna 2019. Aktuální jádra s prodlouženou podporou jsou tedy 3.2, 3.4, 3.10, 3.12, 3.16, 3.18, 4.1, 4.4 a 4.9.

Ladislav Hagara | Komentářů: 0
20.1. 00:11 | Zajímavý článek

Výrobce síťových prvků, společnost Netgear, spustila nový program, který slibuje vývojářům, expertům, ale i běžným uživatelům vyplacení finanční odměny za nalezení bezpečnostních chyby v jejich produktech. Za nalezení zranitelnosti v hardware, API nebo mobilní aplikaci nabízí odměnu od 150 do 15 tisíc dolarů (dle závažnosti).

Michal Makovec | Komentářů: 0
Jak se stavíte k trendu ztenčování přenosných zařízení (smartphony, notebooky)?
 (10%)
 (2%)
 (74%)
 (3%)
 (10%)
Celkem 360 hlasů
 Komentářů: 25, poslední včera 13:34
Rozcestník
Reklama

Dotaz: Zenmap nejde nainstalovat pygtk2 is needed

9.2.2008 11:49 Quest
Zenmap nejde nainstalovat pygtk2 is needed
Přečteno: 423×
Ahoj lidi,

používám opensuse 10.3 a chtěl jsem si nainstalovat grafickou nadstavbu pro nmap. Bohužel při instalaci zenmap mě to hlásí následující chybu. RPM balíčky jsem stáhnul přímo odsud Zenmap RPM
rpm -vhU http://download.insecure.org/nmap/dist/zenmap-4.53-1.noarch.rpm
Retrieving http://download.insecure.org/nmap/dist/zenmap-4.53-1.noarch.rpm
error: skipping http://download.insecure.org/nmap/dist/zenmap-4.53-1.noarch.rpm - transfer failed - Unknown or unexpected error
warning: u 0x8093668 ctrl 0x8093b50 nrefs != 0 (download.insecure.org http)
Po manuálním stažení to při instalaci vyžaduje pygtk2
/usr/share/mc/extfs/rpm run /home/quest/Desktop/zenmap-4.53-1.noarch.rpm INSTALL
Installing ""'/home/quest/Desktop/zenmap-4.53-1.noarch.rpm'""
error: Failed dependencies:
        pygtk2 is needed by zenmap-4.53-1.noarch
Bohužel vyžadovaný balíček pygtk2 jsem nikde nenašel :-( Python mám nainstalovaný a nechci to tam rvát násilím a riskovat tak nestabilitu systému.

Předem děkuji za rady.

Odpovědi

9.2.2008 12:54 bhy | skóre: 35 | blog: bhyblog | brno
Rozbalit Rozbalit vše Re: Zenmap nejde nainstalovat pygtk2 is needed
9.2.2008 14:59 Quest
Rozbalit Rozbalit vše Re: Zenmap nejde nainstalovat pygtk2 is needed
Ten mám nainastalovaný, ale opensuse trvá na svém a chce pygtk2, který nikde nemohu najít.
Ilfirin avatar 10.2.2008 14:03 Ilfirin | skóre: 32 | blog: ilfblog | Liberec
Rozbalit Rozbalit vše Re: Zenmap nejde nainstalovat pygtk2 is needed
Reaguji na dotaz umístěný uživatelem Power na suseportal.cz.

Pygtk2 je jen název balíčku, který se distrama může lišit (a také že liší ;-) ). Ve skutečnosti potřebujete (a pravděpodobně již máte nainstalovaný) balíček python-gtk. Pokud jej máte, nechte závislost ignorovat (žádnou stabilitu systému tím nenarušíte, program má knihovny co potřebuje, jen si balíčkovací systém vlivem jiného názvu myslí že ne). Program pak funguje bez problémů (odzkoušeno).
Ilfirin avatar 10.2.2008 14:10 Ilfirin | skóre: 32 | blog: ilfblog | Liberec
Rozbalit Rozbalit vše Re: Zenmap nejde nainstalovat pygtk2 is needed
Ještě abych upřesnil. pygtk2 se to jmenuje v RedHatu a ve Fedoře. Takže závislosti balíčku byly napsány jak byly napsány. Pokud by vás to opravdu moc trápilo, mohu se pokusit přepsat závislost z pygtk2 na python-gtk a tak "vytvořit" susí balíček, ale snad to nebude nutné.
13.2.2008 20:18 Quest
Rozbalit Rozbalit vše Re: Zenmap nejde nainstalovat pygtk2 is needed
Kdyby ses nudil, tak by si to mohl zkusit ;-) Ale životně důležité to zase není :-)
Ilfirin avatar 13.2.2008 22:13 Ilfirin | skóre: 32 | blog: ilfblog | Liberec
Rozbalit Rozbalit vše Re: Zenmap nejde nainstalovat pygtk2 is needed
Ukaž mi Linuxáka, co se nudí :-).
Ale vzhledem k tomu, že mě M4r3k zaškoluje jako baliče... mohl bych se pokusit něco udělat ;-).
14.2.2008 20:58 Power | skóre: 6 | blog: Power
Rozbalit Rozbalit vše Re: Zenmap nejde nainstalovat pygtk2 is needed
Můžeš to zkusit ubalit a třeba to M4r3k protlačí do packmana ;-)

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.